From 8fbb4e6797ed67310b74cbaaa061269db45a5b71 Mon Sep 17 00:00:00 2001
From: Natanael Copa <ncopa@alpinelinux.org>
Date: Tue, 29 Apr 2014 15:51:31 +0200
Subject: [PATCH] linux-user/signal.c: define __SIGRTMIN/MAX for non-GNU
 platforms

The __SIGRTMIN and __SIGRTMAX are glibc internals and are not available
on all platforms, so we define those if they are missing.

This is needed for musl libc.

Signed-off-by: Natanael Copa <ncopa@alpinelinux.org>
Origin: Alpine Linux
---
 linux-user/signal.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/linux-user/signal.c b/linux-user/signal.c
index 5ca6d62b15..e917c16d91 100644
--- a/linux-user/signal.c
+++ b/linux-user/signal.c
@@ -25,6 +25,13 @@
 #include "trace.h"
 #include "signal-common.h"
 
+#ifndef __SIGRTMIN
+#define __SIGRTMIN 32
+#endif
+#ifndef __SIGRTMAX
+#define __SIGRTMAX (NSIG-1)
+#endif
+
 static struct target_sigaction sigact_table[TARGET_NSIG];
 
 static void host_signal_handler(int host_signum, siginfo_t *info,
-- 
2.23.0

